=== debian/changelog ===
gr-air-modes (0.0.0.e47992d-3) unstable; urgency=low

  * Depends on python-zmq (Closes: #734119)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 03 Jan 2014 19:03:54 -0500

gr-air-modes (0.0.0.e47992d-2) unstable; urgency=low

  * Update to 27e0f87, build with gnuradio 3.7.2.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 01 Jan 2014 16:24:50 -0500

gr-air-modes (0.0.0.e47992d-1) unstable; urgency=low

  * New upstream (Closes: #726776)
  * Match GNU Radio live distribution version

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 18 Oct 2013 00:25:07 -0400
