=== debian/control ===
Source: gr-air-modes
Section: libdevel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, gnuradio (>=3.7), gnuradio-dev (>= 3.7),
 gr-osmosdr, libsqlite3-dev, libboost-all-dev, liblog4cpp5-dev, libuhd-dev, doxygen, swig,
 libzmq-dev, python-zmq, python-qt4, python-qt4-dev, pyqt4-dev-tools, libqwt5-qt4-dev
Standards-Version: 3.9.4
Homepage: https://github.com/bistromath/gr-air-modes
Vcs-Git: https://github.com/bistromath/gr-air-modes.git

Package: gr-air-modes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-qt4, python-zmq, libair-modes0 (=${binary:Version})
Recommends: gnuradio, gr-osmosdr, python-numpy, python-scipy
Description: Gnuradio Mode-S/ADS-B radio
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 .
 The main application is modes_rx.
 .
 Multiple output formats are supported:
  * Raw (or minimally processed) output of packet data
  * Parsed text
  * SQLite database
  * KML for use with Google Earth
  * SBS-1-compatible output for use with e.g. PlanePlotter or Virtual
    Radar Server
  * FlightGear multiplayer interface for real-time display of traffic
    within the simulator

Package: libair-modes0
Architecture: any
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gr-air-modes
Description: Gnuradio Mode-S/ADS-B radio
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 . 
 This package provides a shared library.
