=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.([0-9]+),\1,p')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DCMAKE_BUILD_TYPE="Release"

override_dh_install:
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/*/*.pyc
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/*/*.pyo
	rm debian/tmp/usr/bin/uhd_modes.py
	dh_install

get-orig-source:
	git clone https://github.com/dl1ksv/gr-fcdproplus
	cd gr-fcdproplus && git archive --format=tar --prefix=gr-fcdproplus-$(VER)/  $(GITREV) | gzip > ../gr-fcdproplus_$(VER).orig.tar.gz
	rm -rf gr-fcdproplus
