## gr-air-modes 0.0.1.514414f

=== debian/changelog ===
gr-air-modes (0.0.1.514414f-5) unstable; urgency=medium

  * fix swig by PROPERTY SWIG_MODULE_NAME (Closes: #819607)
  * rebuild on kfreesbd (Closes: #822123)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 01 May 2016 09:30:12 -0400

gr-air-modes (0.0.1.514414f-4) unstable; urgency=medium

  * rebuild using libzmq3-dev (Closes: #818221)
  * rebuild in sid (Closes: #818452)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 22 Mar 2016 12:10:38 -0400

gr-air-modes (0.0.1.514414f-3) unstable; urgency=medium

  * rebuild using gnuradio 3.7.9

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Jan 2016 21:15:37 -0500

gr-air-modes (0.0.1.514414f-2) unstable; urgency=medium

  * Lintian pre-depnds fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 28 Nov 2015 23:28:30 -0500

gr-air-modes (0.0.1.514414f-1) unstable; urgency=low

  * New upstream (commit 514414f) using gr-osmosdr 0.1.4, gnuradio 3.7.8

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 Sep 2015 17:02:49 -0400

gr-air-modes (0.0.0.e47992d-5) unstable; urgency=low

  * rebuild using gr-osmosdr 0.1.3, gnuradio 3.7.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 05 Sep 2014 22:36:14 -0400

gr-air-modes (0.0.0.e47992d-4) unstable; urgency=low

  * Update to cc0fa18

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 14 May 2014 00:05:08 -0400

gr-air-modes (0.0.0.e47992d-3~bpo70~1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 03 Mar 2014 10:53:37 -0500
