=== debian/control ===
Source: gr-air-modes
Section: libdevel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               doxygen,
               gnuradio (>=3.7.9),
               gnuradio-dev (>= 3.7.9),
               gr-osmosdr (>=0.1.4),
               libboost-all-dev,
               liblog4cpp5-dev,
               libqwt5-qt4-dev,
               libsqlite3-dev,
               libuhd-dev,
	       libzmq-dev,
               pkg-config,
               pyqt4-dev-tools,
               python-qt4,
               python-qt4-dev,
               python-zmq,
               swig
Standards-Version: 3.9.6
Homepage: https://github.com/bistromath/gr-air-modes
Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gr-air-modes.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-gr-air-modes.git/

Package: gr-air-modes
Architecture: any
Depends: libair-modes0 (=${binary:Version}),
         python,
         python-qt4,
         python-zmq,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnuradio, gr-osmosdr, python-numpy, python-scipy
Description: Gnuradio Mode-S/ADS-B radio
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 .
 The main application is modes_rx.
 .
 Multiple output formats are supported:
  * Raw (or minimally processed) output of packet data
  * Parsed text
  * SQLite database
  * KML for use with Google Earth
  * SBS-1-compatible output for use with e.g. PlanePlotter or Virtual
    Radar Server
  * FlightGear multiplayer interface for real-time display of traffic
    within the simulator

Package: libair-modes0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-air-modes
Description: Gnuradio Mode-S/ADS-B radio - library
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 .
 This package provides a shared library.
