## gr-air-modes 0.0.2.65e5bd1

=== debian/changelog ===
gr-air-modes (0.0.2.65e5bd1-1ubuntu1) yakkety; urgency=low

  * Sync from Debian unstable.
  * Revert library package rename, since this was not transitioned in Debian.
    Keep Conflicts/Replaces against the renamed library; this delta can be
    dropped once 18.04 releases.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2016 17:46:49 -0700

gr-air-modes (0.0.2.65e5bd1-1) unstable; urgency=medium

  * New upstream git describe --tags is 3.6-65-g65e5bd1
  * really fix build-depends (Closes: #824550)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 17 May 2016 16:41:50 -0400

gr-air-modes (0.0.0.e47992d-5ubuntu4) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Apr 2016 21:43:33 +0000

gr-air-modes (0.0.0.e47992d-5ubuntu3) xenial; urgency=medium

  * No-change rebuild against new gnuradio.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jan 2016 16:24:51 +0100

gr-air-modes (0.0.0.e47992d-5ubuntu2) wily; urgency=medium

  * No-change rebuild against new libuhd.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2015 17:54:34 +0200

gr-air-modes (0.0.0.e47992d-5ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 03:32:31 +0000

gr-air-modes (0.0.0.e47992d-5build1) vivid; urgency=medium

  * Rebuild against gnuradio 3.7.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Nov 2014 12:53:27 +0000
