=== debian/control ===
--- 
+++ 
@@ -1,29 +1,36 @@
 Source: gr-air-modes
 Section: libdevel
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0~),
                doxygen,
-               gnuradio (>=3.7.9),
-               gnuradio-dev (>= 3.7.9),
+               gnuradio (>=3.7.9.1),
+               gnuradio-dev (>= 3.7.9.1),
                gr-osmosdr (>=0.1.4),
-               libboost-all-dev,
+               libboost-atomic-dev,
+               libboost-chrono-dev,
+               libboost-date-time-dev,
+               libboost-dev,
+               libboost-filesystem-dev,
+               libboost-program-options-dev,
+               libboost-system-dev,
+               libboost-test-dev,
+               libboost-thread-dev,
                liblog4cpp5-dev,
                libqwt5-qt4-dev,
                libsqlite3-dev,
-               libuhd-dev,
-	       libzmq-dev,
                pkg-config,
                pyqt4-dev-tools,
                python-qt4,
                python-qt4-dev,
                python-zmq,
                swig
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/bistromath/gr-air-modes
-Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gr-air-modes.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-gr-air-modes.git/
+Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-air-modes.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-air-modes.git/
 
 Package: gr-air-modes
 Architecture: any
@@ -55,6 +62,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gr-air-modes
+Conflicts: libair-modes0v5
+Replaces: libair-modes0v5
+Provides: libair-modes0v5
 Description: Gnuradio Mode-S/ADS-B radio - library
  A software-defined radio receiver for Mode S
  transponder signals, including ADS-B reports from equipped aircraft.
