=== swig/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 #set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/gr-air-modes_swig_doc.i)
 #set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)
 
-GR_SWIG_MAKE(air_modes_swig air_modes.i)
+GR_SWIG_MAKE(air_modes_swig air_modes_swig.i)
 
 ########################################################################
 # Install the build swig module
