=== debian/changelog ===
gr-air-modes (0.0.2.c29eb60-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Keep Conflicts/Replaces against renamed library; this delta can be
      dropped once 18.04 releases.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Oct 2017 11:57:18 +0100

gr-air-modes (0.0.2.c29eb60-2) unstable; urgency=medium

  * New upstream git 3.6-80-gc29eb60
  * nuild with gnuradio 3.7.11

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 12 Sep 2017 01:11:45 -0400

gr-air-modes (0.0.2.c29eb60-1ubuntu3) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 03 Nov 2016 11:03:13 +0000

gr-air-modes (0.0.2.c29eb60-1ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 21:51:42 +0000

gr-air-modes (0.0.2.c29eb60-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Keep Conflicts/Replaces against renamed library; this delta can be
      dropped once 18.04 releases.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Jul 2016 10:17:16 -0700

gr-air-modes (0.0.2.c29eb60-1) unstable; urgency=medium

  * New upstream git 3.6-70-gc29eb60
  * Upstream swig fixes (Closes: #830486)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Jul 2016 20:59:11 -0400
