=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
+               debhelper (>= 10),
                doxygen,
-               gnuradio (>=3.7.9.1),
-               gnuradio-dev (>= 3.7.9.1),
-               gr-osmosdr (>=0.1.4),
+               gnuradio-dev (>= 3.7.11),
+               gr-osmosdr (>=0.1.4-13),
                libboost-atomic-dev,
                libboost-chrono-dev,
                libboost-date-time-dev,
@@ -27,7 +26,7 @@
                python-qt4-dev,
                python-zmq,
                swig
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/bistromath/gr-air-modes
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-air-modes.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-air-modes.git/
