=== debian/changelog ===
gr-air-modes (0.0.20190917-2) unstable; urgency=medium

  * depend upon dh-python since python3-dev no longer does

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 15 Jan 2020 00:20:50 -0500

gr-air-modes (0.0.20190917-1) unstable; urgency=medium

  * New upstream for gnuradio 3.8 and Python3 (Closes: #936650)
  * No longer providing GUI (Closes: #858774)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Sep 2019 21:49:40 -0400

gr-air-modes (0.0.2.c29eb60-3) unstable; urgency=medium

  * qt5 build

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 22 Nov 2017 16:14:30 -0500
