=== debian/control ===
Source: gr-air-modes
Section: libdevel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 12~),
	       dh-python,
               doxygen,
               gnuradio-dev,
               gr-osmosdr,
	       libgmp-dev,
               liblog4cpp5-dev,
	       liborc-0.4-dev,
               libqwt-qt5-dev,
               libsqlite3-dev,
               pkg-config,
	       python3-dev,
               swig
Standards-Version: 4.4.0
Homepage: https://github.com/bistromath/gr-air-modes
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-sdrangelove
Vcs-Git: https://salsa.debian.org/bottoms/pkg-sdrangelove.git

Package: gr-air-modes
Architecture: any
Depends: libair-modes1 (=${binary:Version}),
         python3,
         python3-zmq,
         ${misc:Depends},
	 ${python3:Depends},
         ${shlibs:Depends}
Recommends: gnuradio, gr-osmosdr, python3-numpy, python3-scipy
Description: Gnuradio Mode-S/ADS-B radio
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 .
 Multiple output formats are supported:
  * Raw (or minimally processed) output of packet data
  * Parsed text
  * SQLite database
  * KML for use with Google Earth
  * SBS-1-compatible output for use with e.g. PlanePlotter or Virtual
    Radar Server
  * FlightGear multiplayer interface for real-time display of traffic
    within the simulator

Package: libair-modes1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-air-modes
Description: Gnuradio Mode-S/ADS-B radio - library
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 .
 This package provides a shared library.
